org.apache.cayenne.dba.openbase

## Class OpenBaseSQLTreeProcessor

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
  - - org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor
    - - org.apache.cayenne.dba.openbase.OpenBaseSQLTreeProcessor

- All Implemented Interfaces:
    NodeTreeVisitor, SQLTreeProcessor

  Deprecated.
  since 4.2

      @Deprecated
      public class OpenBaseSQLTreeProcessor
      extends BaseSQLTreeProcessor

  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenBaseSQLTreeProcessor()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onFunctionNode(Node parent, FunctionNode child, int index)` Deprecated.
    `protected void` | `onLikeNode(Node parent, LikeNode child, int index)` Deprecated.
    `protected void` | `onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)` Deprecated.
    `protected void` | `onValueNode(Node parent, ValueNode child, int index)` Deprecated.

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor

      `onChildNodeStart, onColumnNode, onDistinctNode, onInNode, onResultNode, onUndefinedNode, process, replaceChild, replaceChild, wrapInFunction`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

      `onChildNodeEnd, onNodeEnd, onNodeStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenBaseSQLTreeProcessor

          public OpenBaseSQLTreeProcessor()

      Deprecated.

  - ### Method Detail

    - #### onLikeNode

          protected void onLikeNode(Node parent,
                                    LikeNode child,
                                    int index)

      Deprecated.
      Overrides:
        `onLikeNode` in class `BaseSQLTreeProcessor`

    - #### onValueNode

          protected void onValueNode(Node parent,
                                     ValueNode child,
                                     int index)

      Deprecated.
      Overrides:
        `onValueNode` in class `BaseSQLTreeProcessor`

    - #### onLimitOffsetNode

          protected void onLimitOffsetNode(Node parent,
                                           LimitOffsetNode child,
                                           int index)

      Deprecated.
      Overrides:
        `onLimitOffsetNode` in class `BaseSQLTreeProcessor`

    - #### onFunctionNode

          protected void onFunctionNode(Node parent,
                                        FunctionNode child,
                                        int index)

      Deprecated.
      Overrides:
        `onFunctionNode` in class `BaseSQLTreeProcessor`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.